Skip to main content
GET
/
v1
/
events
/
{event_id}
Get Event
curl --request GET \
  --url https://api.corpus.intrace.ai/v1/events/{event_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "eventCategory": "<string>",
  "eventType": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "eventSubtype": "<string>",
  "eventDate": "2023-12-25",
  "eventDateEnd": "2023-12-25",
  "location": "<string>",
  "locationCountry": "<string>",
  "locationCoordinates": {
    "lat": 123,
    "lng": 123
  },
  "fatalities": 123,
  "injuries": 123,
  "abductions": 123,
  "civilianTargeting": true,
  "admin1": "<string>",
  "admin2": "<string>",
  "admin3": "<string>",
  "geoPrecision": 123,
  "salienceScore": 123,
  "salienceRationale": "<string>",
  "articleCount": 0,
  "actorCount": 0,
  "sourceDomains": [
    "<string>"
  ],
  "sourceTypes": [
    "<string>"
  ],
  "categorySpecificData": {},
  "actorRolesBreakdown": {}
}

Authorizations

X-API-Key
string
header
required

Headers

x-api-key
string | null

Corpus API key

Path Parameters

event_id
string<uuid>
required

Query Parameters

api_key
string | null

Corpus API key

Response

Successful Response

Extended event representation with category-specific data.

id
string<uuid>
required
title
string
required
eventCategory
string
required
eventType
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
eventSubtype
string | null
eventDate
string<date> | null
eventDateEnd
string<date> | null
location
string | null
locationCountry
string | null
locationCoordinates
CoordinatesResponse · object

Geographic coordinates.

fatalities
integer | null
injuries
integer | null
abductions
integer | null
civilianTargeting
boolean | null
admin1
string | null
admin2
string | null
admin3
string | null
geoPrecision
integer | null
salienceScore
number | null
salienceRationale
string | null
articleCount
integer
default:0
actorCount
integer
default:0
sourceDomains
string[] | null
sourceTypes
string[] | null
categorySpecificData
Categoryspecificdata · object

Category-specific structured data for this event

actorRolesBreakdown
Actorrolesbreakdown · object

Mapping of roles to actor names involved in this event